javax.sound.sampled

## Class BooleanControl.Type

- java.lang.Object
- - javax.sound.sampled.Control.Type
  - - javax.sound.sampled.BooleanControl.Type

Enclosing class:
  BooleanControl

    public static class BooleanControl.Type
    extends Control.Type

An instance of the `BooleanControl.Type` class identifies one kind of boolean control. Static instances are provided for the common types.

Since:
  1.3

### Field Summary

Fields
`static BooleanControl.Type` `APPLY_REVERB` Represents a control for whether reverberation is applied to a line.
`static BooleanControl.Type` `MUTE` Represents a control for the mute status of a line.

### Constructor Summary

Constructors
`protected` `BooleanControl.Type(String name)` Constructs a new boolean control type.

### Method Summary

### Methods inherited from class javax.sound.sampled.Control.Type

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MUTE

    public static final BooleanControl.Type MUTE

Represents a control for the mute status of a line. Note that mute status does not affect gain.

#### APPLY_REVERB

    public static final BooleanControl.Type APPLY_REVERB

Represents a control for whether reverberation is applied to a line. Note that the status of this control not affect the reverberation settings for a line, but does affect whether these settings are used.

### Constructor Detail

#### BooleanControl.Type

    protected BooleanControl.Type(String name)

Constructs a new boolean control type.

Parameters:
  `name` - the name of the new boolean control type

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.